﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10.7
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private edTexto As EditText
	Dim EpsonPrinter As EscPosPrinter
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("fcobros")
	EpsonPrinter.Initialize(Me,"EpsonPrinter")
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	EpsonPrinter.DisConnect
End Sub
Sub Activity_Resume
	If Not (EpsonPrinter.IsInitialized) Then
		EpsonPrinter.Initialize(Me,"EpsonPrinter")
	End If
End Sub

Private Sub Button3_Click
	Activity.Finish
End Sub

Sub HolaDesdeVentas( cTxt As String )
	edTexto.Text = cTxt
End Sub
	
Private Sub Button1_Click ' imprimir edTexto.Text
	If Not(EpsonPrinter.IsBluetoothOn) Then
		ToastMessageShow("Bluetooth no activo",False)
	Else if Not(EpsonPrinter.IsConnected) Then
		EpsonPrinter.Connect
	Else
		
		Print( edTexto.Text )
		
	End If
End Sub

Sub EpsonPrinter_Connected( Success As Boolean )

	If Success Then		
		
		Print( edTexto.Text )
		
	Else
		MsgboxAsync("No hay dispositivo BT conectado","Aviso")
		Wait For Msgbox_Result (Result As Int)
	End If

End Sub

Sub Print( cTxt As String )
	EpsonPrinter.WriteString( cTxt )
End Sub